package com.zehong.system.domain;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 巡线对象 t_line_patrol
 *
 * @author zehong
 * @date 2026-02-02
 */
public class TLinePatrol extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 巡线人员 */
    @Excel(name = "巡线人员")
    private String linePatrolPerson;

    /** 巡线时间 */
    @Excel(name = "巡线时间")
    private String linePatrolTime;

    /** 坐标 */
    private String coordinates;

    /** 权属单位 */
    @Excel(name = "权属单位")
    private String beyondEnterpriseId;

    /** 权属单位名称 */
    @Excel(name = "权属单位名称")
    private String beyondEnterpriseName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTaskName(String taskName)
    {
        this.taskName = taskName;
    }

    public String getTaskName()
    {
        return taskName;
    }
    public void setLinePatrolPerson(String linePatrolPerson)
    {
        this.linePatrolPerson = linePatrolPerson;
    }

    public String getLinePatrolPerson()
    {
        return linePatrolPerson;
    }
    public void setLinePatrolTime(String linePatrolTime)
    {
        this.linePatrolTime = linePatrolTime;
    }

    public String getLinePatrolTime()
    {
        return linePatrolTime;
    }
    public void setCoordinates(String coordinates)
    {
        this.coordinates = coordinates;
    }

    public String getCoordinates()
    {
        return coordinates;
    }

    public String getBeyondEnterpriseId() {
        return beyondEnterpriseId;
    }

    public void setBeyondEnterpriseId(String beyondEnterpriseId) {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseName() {
        return beyondEnterpriseName;
    }

    public void setBeyondEnterpriseName(String beyondEnterpriseName) {
        this.beyondEnterpriseName = beyondEnterpriseName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskName", getTaskName())
                .append("linePatrolPerson", getLinePatrolPerson())
                .append("linePatrolTime", getLinePatrolTime())
                .append("coordinates", getCoordinates())
                .append("createTime", getCreateTime())
                .toString();
    }
}